Teams

In Zoho WorkDrive, a team refers to the company or organization where all members and their data are added. A team is managed by the Super Admin and Team Admins. For Starter, Team, and Business plans of WorkDrive, there will be only one team.

Would you like to explore more about a team in WorkDrive? Visit our Help Center

Download Teams OpenAPI Document
Download






Get Team Settings

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the settings of a specific team. For instance, this API will let the user know information about whether the team member is allowed to share files externally and able to create new public team folders.

Endpoints

OAuth Scope

WorkDrive.team.admin.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/settings \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Response Example

R221

R008

F000

200
200
400
401
500
Copied!
  {
    "data": {
      "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
      "type": "settings",
      "attributes": {
        "allow_external_sharing": true,
        "create_file_as_draft": true,
        "allow_my_folder_to_change_conversion": false,
        "allow_create_private_team_folder": true,
        "is_external_share_enabled": true,
        "is_document_conversion": false,
        "setting_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
        "trash_to_retention_days": 0,
        "enable_myspace_storage_restriction": false,
        "allow_ws_to_change_conversion": true,
        "allow_embed_download": true,
        "delete_to_purge_days": 0,
        "is_app_retention_enabled": false,
        "retention_service_type": 0,
        "allow_create_ws": 0,
        "is_sync_enabled": true,
        "enable_org_logo": false,
        "can_viewer_download": true,
        "is_mobile_enabled": true
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/settings/ly9zmae16b43c258f458a9a57ac02c4f8d763"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R221",
        "title": "Invalid inputs"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full